<!DOCTYPE HTML>
<html layout:decorate="~{layouts/layout}" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:th="http://www.thymeleaf.org/" xml:lang="en">

<head>
    <title>Mufish home</title>
    <meta name="viewport" content="width=device-width">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="css/home.css" />
    <link rel="stylesheet" href="css/header.css" />
    <link rel="stylesheet" href="css/shipCard.css" />
    <link rel="stylesheet" href="css/userCard.css" />
    <link rel="stylesheet" href="css/zoneCard.css" />
    <link rel="stylesheet" href="css/main.css" />
    <!-- Matomo -->
    <script>
        var _paq = window._paq = window._paq || [];
        /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
        _paq.push(['trackPageView']);
        _paq.push(['enableLinkTracking']);
        (function() {
        var u="//matomomufish.duckdns.org/";
        _paq.push(['setTrackerUrl', u+'matomo.php']);
        _paq.push(['setSiteId', '1']);
        var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
        g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
        })();
    </script>
</head>

<body>
    <th:block layout:fragment="content">

        <th:block th:switch="${session.userType}">
            <th:block th:case="fisher">
                <main th:replace="fragments/mainFisher.html :: mainFisher"></main>
            </th:block>
            <th:block th:case="coastguard">
                <main th:replace="fragments/mainCoastguard.html :: coastguard"></main>
            </th:block>
            <th:block th:case="manager">
                <main th:replace="fragments/mainManager.html :: manager"></main>
            </th:block>
            <th:block th:case="admin">
                <main th:replace="fragments/mainAdmin.html :: admin"></main>
            </th:block>
        </th:block>
    </th:block>
</body>

</html>